Skip to main content
GET
/
test-sets
List test sets
curl --request GET \
  --url https://api.trymaitai.ai/api/v1/test-sets \
  --header 'X-Maitai-Api-Key: <api-key>'
{
  "data": [
    {
      "id": 15,
      "name": "Golden Test Set",
      "intent_group_id": 10,
      "request_count": 200,
      "is_golden": true
    }
  ],
  "pagination": {
    "total": 3,
    "offset": 0,
    "limit": 25
  }
}

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Query Parameters

type
string

Test set type: 'request' (default) or 'workflow'. Pass 'workflow' to list workflow-based test sets (including ones shared to your company via cross-org WORKFLOW_TEST_SET grants). Omit to get the unified list across both types.

offset
integer
default:0

Number of items to skip.

Required range: x >= 0
limit
integer
default:25

Maximum number of items to return.

Required range: 1 <= x <= 100

Response

200 - application/json

Paginated results.

data
object[]
pagination
object